/****************************************
* test si le triangle est rectangle
*
* entree :
*   - a, b, c : longueur des côtés
*
* sortie :
*   - true si le tr. est rectangle
*****************************************/
boolean isRectangle(double a, double b, double c) {
  return ( c*c == b*b + a*a) || ( b*b == c*c + a*a) || ( a*a == b*b + c*c) ;
}

/****************************************
* calcule l'hypothénuse du triangle rectangle
*
* entree :
*   - a, b : longueurs des côtés
*
* sortie :
*   - longuer de l'hypothénuse
*****************************************/
double hypothenuse(double a, double b) {
  return Math.sqrt(b*b + a*a) ;
}


void setup() {
  if (isRectangle(3, 4, 5))
    println("le triangle est rectangle");
  else
    println("le triangle n'est pasrectangle");
    
  println(hypothenuse(3, 4));
}

