/****************************************
* calcule le maximum de 2 nombres
*
* entree :
*   - a, b : nombre réels
*
* sortie :
*   - maximum de a et b
*****************************************/
double max2(double a, double b) {
  if (a < b)
    return b ;
  else
    return a ;
}

/****************************************
* calcule le maximum de 3 nombres
*
* entree :
*   - a, b, c : nombre réels
*
* sortie :
*   - maximum de a, b, c
*****************************************/
double max3(double a, double b, double c) {
    return max2(max2(a, b), c) ;
}

/****************************************
* calcule le maximum de 4 nombres
*
* entree :
*   - a, b, c, d : nombre réels
*
* sortie :
*   - maximum de a, b, c, d
*****************************************/
double max4(double a, double b, double c, double d) {
    return max2(max3(a, b, c), d) ;
}

/****************************************
* calcule le maximum de 5 nombres
*
* entree :
*   - a, b, c, d, e : nombre réels
*
* sortie :
*   - maximum de a, b, c, d, e
*****************************************/
double max5(double a, double b, double c, double d, double e) {
    return max2(max4(a, b, c, d), e) ;
}

/****** programme d'exemple */
void setup() {
  double a = 4.5 ;
  double b = 1.2 ;
  double c = 3.2 ;
  double d = 0.2 ;
  double e = 1.7 ;
  
  println("maximum de " + a + " et " + b + " est " + max2(a, b));
  
  println("maximum de " + a + " , " + b + " et " + c + " est " + max3(a, b, c));

  println("maximum de " + a + " , " + b + " , " + c + " , " + d + " est " + max4(a, b, c, d));

  println("maximum de " + a + " , " + b + " , " + c + " , " + d + " , " + e + " est " + max5(a, b, c, d, e));

}

