double u0 = 1;

/****************************************
* calcule le terme u(n+1) en fonction de u(n)
*
* entree :
*   - x : terme un
*
* sortie :
*   - u(n+1)
*****************************************/
double f(double x) {
  return 0.5 * x + 2 ;
}

/****************************************
* calcule le terme un
*
* entree :
*   - n : index du terme
*
* sortie :
*   - valeur de un
*****************************************/
double suite(int n) {
  double u = u0;
  
  for(int i = 0; i < n; i++)
    u = f(u);

  return u ;
}

/****************************************
* calcule la somme partiel Sn(u)
*
* entree :
*   - n : index du terme
*
* sortie :
*   - valeur de Sn(u)
*****************************************/
double serie(int n) {
  double u = suite(0);
  double s = 0;
  
  for(int i = 0; i < n; i++) {
    s += u;
    u = f(u);
  }

  return s ;
}


void setup() {
  println(suite(4));

  println(serie(4));

}

